Package: org.codehaus.groovy.ant

## [Java] Class GroovycTask

- org.codehaus.groovy.ant.GroovycTask

-     public class GroovycTask
      extends CompileTaskSupport

  Compiles Groovy source files.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected boolean` | `force` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CompileTaskSupport` | `classpath, config, destdir, failOnError, log, src`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `compile()`
    `` | `public void` | `setForce(boolean flag)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CompileTaskSupport` | `compile, createClassLoader, createClasspath, createConfiguration, createSrc, execute, getClasspath, getFailonerror, getSrcdir, handleException, setClasspath, setClasspathRef, setDestdir, setFailonerror, setSrcdir, validate`

- - ### Field Detail

    - #### protected boolean force

  - ### Method Detail

    - #### @Override
      protected void compile()

    - #### public void setForce(boolean flag)